Eclipse Platform Release 3.7

## org.eclipse.ui.activities
Interface IActivityListener

    public interface IActivityListener

An instance of this interface can be used by clients to receive notification of changes to one or more instances of `IActivity`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `IActivity.addActivityListener(IActivityListener)`, `IActivity.removeActivityListener(IActivityListener)`

Method Summary
`void` `activityChanged(ActivityEvent activityEvent)` Notifies that one or more properties of an instance of `IActivity` have changed.

Method Detail

### activityChanged

    void activityChanged(ActivityEvent activityEvent)

  Notifies that one or more properties of an instance of `IActivity` have changed. Specific details are described in the `ActivityEvent`.

  Parameters:
    `activityEvent` - the activity event. Guaranteed not to be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.